Summary:	Manipulate tags, split, join, demultiplex, and fetch information on MPEG files
Name:		mpgtx
Version:	1.3.1
Release:	%mkrel 16
License:	GPL
Group:		Video/Utilities
URL:		http://mpgtx.sourceforge.net/
Source0:	https://prdownloads.sourceforge.net/mpgtx/mpgtx-%{version}.tar.bz2
# Author: Laurent Alacoque <laureck@users.sourceforge.net>

%description
mpgtx (an MPEG ToolboX) allows you to manipulate ID3 tags, split, join,
demultiplex, and fetch detailed information about a variety of MPEG files.
It was designed to do little, but do it well, and to provide the end user
with an austere yet powerful command-line interface. It replaces "mpgcut".


%prep
%setup -q
perl -pi -e 's/^\s*inline\s*$//' *.cxx

# do not strip binary
sed -i -e 's|install -s -m 755|install -m 755|' configure

%build
./configure --prefix=%{_prefix}

%make_build CFLAGS="%{optflags} -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -DNOSIGNAL_H" LFLAGS=""

%install
find -type f | xargs chmod a+r

%make_install \
	MANDIR="%{buildroot}/%{_mandir}/man1" \
	INSTALLDIR="%{buildroot}/%{_bindir}" \
	MANDIRDE=%{buildroot}%{_mandir}/de/man1

%files
%doc AUTHORS COPYING ChangeLog README
%{_bindir}/*
%{_mandir}/man1/*
%lang(de) %{_mandir}/de/man1/*


%changelog
* Tue Mar 15 2022 umeabot <umeabot> 1.3.1-16.mga9
+ Revision: 1792151
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 1.3.1-15.mga8
+ Revision: 1515248
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1.3.1-14.mga7
+ Revision: 1299623
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use make_build

* Fri Feb 12 2016 umeabot <umeabot> 1.3.1-13.mga6
+ Revision: 956185
- Mageia 6 Mass Rebuild

* Wed Oct 21 2015 daviddavid <daviddavid> 1.3.1-12.mga6
+ Revision: 893625
- do not strip binary to fix empty debuginfo

* Wed Oct 15 2014 umeabot <umeabot> 1.3.1-11.mga5
+ Revision: 745689
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3.1-10.mga5
+ Revision: 682649
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.3.1-9.mga4
+ Revision: 521483
- Mageia 4 Mass Rebuild

* Tue Jan 22 2013 fwang <fwang> 1.3.1-8.mga3
+ Revision: 391016
- update rpm group
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ kamil <kamil>
- clean .spec

* Wed Mar 23 2011 steletch <steletch> 1.3.1-7.mga1
+ Revision: 76077
- Clean spec file
- imported package mpgtx


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 1.3.1-7mdv2011.0
+ Revision: 606662
- rebuild

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 1.3.1-6mdv2010.1
+ Revision: 523385
- rebuilt for 2010.1

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.3.1-5mdv2010.0
+ Revision: 426191
- rebuild

* Tue Mar 10 2009 Antoine Ginies <aginies@mandriva.com> 1.3.1-4mdv2009.1
+ Revision: 353396
- bump release

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 1.3.1-3mdv2009.0
+ Revision: 223321
- rebuild

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 1.3.1-2mdv2008.1
+ Revision: 153262
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Thu Jan 11 2007 Götz Waschk <waschk@mandriva.org> 1.3.1-1mdv2007.0
+ Revision: 107429
- Import mpgtx

* Thu Jan 11 2007 Götz Waschk <waschk@mandriva.org> 1.3.1-1mdv2007.1
- rebuild

* Wed Jun 08 2005 Götz Waschk <waschk@mandriva.org> 1.3.1-1mdk
- add de man pages
- fix source URL
- New release 1.3.1

* Sat Jun 05 2004 Marcel Pol <mpol@mandrake.org> 1.3-3mdk
- rebuild

